var path = require("path")

// 注册静态路径
add_action('init_express',()=>{
	register_static_url('/block-pandastudio-iframe-modal-src/', path.join(__dirname,"./srcs/") );
});

// 添加前台头文件
add_action('nv_head', (req,route) => {
	nv_enqueue_script(`/block-pandastudio-iframe-modal-src/frontstage.js`);
	nv_enqueue_style(`/block-pandastudio-iframe-modal-src/frontstage.css`);
})

// 注册编辑器块
register_blocks('/block-pandastudio-iframe-modal-src/backstage.js')

// 编辑器服务器端渲染（为搜索引擎SSR）
add_filter(`async:render_block:pandastudio/iframe-modal`,async (next, last_filtered, {data}, post)=>{
	var {
		href,
		text,
	} = data;
	next(`<div class="block-pandastudio-iframe-modal">
		<a class="button" href="${href}" target="_blank">${text}</a>
	</div>`);
})